<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetRows Method (IEdmBomView)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBomView Interface : GetRows Method (IEdmBomView)

Visual Basic
C#
C++/CLI

ppoRows
  Array of IEdmBomCells; one interface for each BOM row

Gets the row definitions for this BOM.

# Syntax

Visual Basic |
--- | ---

    Sub GetRows( _
       ByRef ppoRows() As System.Object _
    )

C# |
--- | ---

    void GetRows(
       out System.object[] ppoRows
    )

C++/CLI |
--- | ---

    void GetRows(
    &   [Out] System.array<Object^>^ ppoRows
    )

#### Parameters

ppoRows
  Array of IEdmBomCells; one interface for each BOM row

# Example

See the IEdmBomView examples.

# Remarks

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmBomView Interface
IEdmBomView Members

# Availability

SOLIDWORKS PDM Professional 2009